Bug 1188639 (CVE-2014-9709) - CVE-2014-9709 gd: buffer read overflow in gd_gif_in.c
Summary: CVE-2014-9709 gd: buffer read overflow in gd_gif_in.c
Status: NEW
Alias: CVE-2014-9709
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20141213,reported=2...
Keywords: Security
Depends On: 1204762 1204763 1204765 1204766 1205734 1209887
Blocks: 1185412 1210213
TreeView+ depends on / blocked
 
Reported: 2015-02-03 13:12 UTC by Vasyl Kaigorodov
Modified: 2019-01-01 03:11 UTC (History)
17 users (show)

Fixed In Version: php 5.5.21, php 5.6.5, gd 2.1.1
Doc Type: Bug Fix
Doc Text:
A buffer over-read flaw was found in the GD library. A specially crafted GIF file could cause an application using the gdImageCreateFromGif() function to crash.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1053 normal SHIPPED_LIVE Moderate: php55 security and bug fix update 2015-06-04 12:06:06 UTC
Red Hat Product Errata RHSA-2015:1066 normal SHIPPED_LIVE Important: php54 security and bug fix update 2015-06-05 15:42:20 UTC
Red Hat Product Errata RHSA-2015:1135 normal SHIPPED_LIVE Important: php security and bug fix update 2015-06-23 12:11:40 UTC
Red Hat Product Errata RHSA-2015:1218 normal SHIPPED_LIVE Moderate: php security update 2015-07-09 21:01:41 UTC
PHP Bug Tracker 68601 None None None Never

Description Vasyl Kaigorodov 2015-02-03 13:12:14 UTC
Possible buffer read overflow was fixed upstream [1].
This was also reported against PHP:
https://bugs.php.net/bug.php?id=68601 (bug is private, fixed in PHP 5.6.5)

[1]: https://bitbucket.org/libgd/gd-libgd/commits/47eb44b2e90ca88a08dca9f9a1aa9041e9587f43

Comment 3 Remi Collet 2015-02-03 13:37:26 UTC
Fixed in 5.5.21 and 5.6.5

Comment 7 errata-xmlrpc 2015-06-04 08:03:44 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.5 EUS

Via RHSA-2015:1066 https://rhn.redhat.com/errata/RHSA-2015-1066.html

Comment 8 errata-xmlrpc 2015-06-04 08:07:08 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.5 EUS

Via RHSA-2015:1053 https://rhn.redhat.com/errata/RHSA-2015-1053.html

Comment 9 errata-xmlrpc 2015-06-23 08:12:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:1135 https://rhn.redhat.com/errata/RHSA-2015-1135.html

Comment 10 errata-xmlrpc 2015-07-09 17:06:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:1218 https://rhn.redhat.com/errata/RHSA-2015-1218.html


Note You need to log in before you can comment on or make changes to this bug.